require 'rubygems'
require 'rspec'
require './lib/multiply_prime_numbers_table'

describe  MultiplyPrimeNumbersTable do

  before do
    @table = MultiplyPrimeNumbersTable
  end

  describe "validations" do

    context '#longest_num_in_array' do
      it "Get length of the square of last number in array" do
        array = [1,5,7,13]
        expect(@table.longest_num_in_array(array)).to eql(3)
      end
    end

    context '#get_cell_size' do
      it "returns %Nd format" do
        expect(@table.get_cell_size(5)).to eql("%-5d")
      end
    end

  end
end
