require 'rubygems'
require 'rspec'
require './lib/multiply_prime_numbers_table/prime_array'
require './lib/multiply_prime_numbers_table/prime'

describe  PrimeArray do

  describe "validations" do

    context '#get_primes' do
      it "returns an array" do
        expect(PrimeArray.get_primes(10).class).to eql(Array)
      end

      it "returns an array with the size of the number that is passed as a parameter" do
        expect(PrimeArray.get_primes(10).size).to eql(10)
      end

      it "returns an array of primes with the size of the number that is passed as a parameter" do
        array = PrimeArray.get_primes(10).map{|num| num.is_prime?}
        expect(array.include?(false)).to eql(false)
      end
    end

  end
end
